package com.boman.common.core.utils.array;

import java.util.Arrays;

/**
 * @author shiqian
 * @date 2021年04月25日 14:05
 **/
public class ArrayUtils extends org.apache.commons.lang3.ArrayUtils {

    /**
     * 校验数组是否包含指定值
     *
     * @param arr         数组
     * @param targetValue 值
     * @return 是否包含
     */
    public static boolean arraysContains(String[] arr, String targetValue) {
        return Arrays.asList(arr).contains(targetValue);
    }

    /**
     * 数组是否为空
     *
     * @param value 数组
     * @return 是否包含
     */
    public static boolean equalsEmptyArray(String value) {
        return "[]".equals(value);
    }
}
